Doesn't work and lied Rated 1 out of 5 stars

There is no reason not to continue to include the old functionality. It's not as if it were hard, unlike the lies given in the link above. It's just a different about:config setting.

99% of the people who use this addon use it to make old addons work. It is irresponsible to file an upgrade that breaks this ability. If you wanted to go back to just compatibility reporting, the right thing to do is not to intentionally break the functionality, but to release it separately, so that it doesn't harm those who are currently using the feature you no longer want to support.

It's bad enough that the Firefox developers are losing sight of their mission of providing the browser users want and not checking with their users before intentionally breaking previous functionality. At least they have the excuse of having to bow to a (non-profit) commercial entity, But the writer of this addon has no excuse. He or she decided that he knows best for everyone else. That is not right.

I will no longer be reporting addons due to this egregious behavior. How's that for hurting your goal?

This review is for a previous version of the add-on (1.1).